var PRODUCTION_STATUS = [];
var ORDER_STATUS = [];
$(document).ready(function () {
    var table = $('#myTable').DataTable({
        responsive: false,
        "scrollX": true,
        "pageLength": 100,
        "order": [],
        "columns": [
            { "data": "customer_po_num" },
            { "data": "customer_name" },
            { "data": "order_date" },
            { "data": "delivery_date" },
            { "data": "order_status" },
            { "data": "fund_status" },
            { "data": "production_status" },
            { "data": "progress" },

        ],
        columnDefs: [
            { width: 150, targets: 0 },
            { width: 200, targets: 1 },
            { width: 100, targets: 2 },
            { width: 100, targets: 3 },
            { width: 50, targets: 4 },
            { width: 80, targets: 5 },
            { width: 80, targets: 6 },
            { width: 100, targets: 7 },
        ],
    });


    PRODUCTION_STATUS = getProductionStatus();
    ORDER_STATUS = getOrderStatus();

    var max_year = (parseInt(serverDate().split('/')[0]) + 1);
    var min_year = (max_year - 5);
    $('#cmbYear').append('<option value="0">Any</option>');
    for (var i = min_year; i <= max_year; i++) {

        $('#cmbYear').append('<option value="' + i + '">' + i + '</option>');
    }

    setSelectedOption('cmbYear', (max_year - 1));
    setSelectedOption('cmbMonth', parseFloat(serverDate().split('/')[1]));




    allCustomerOrder($('#cmbYear').val(), $('#cmbMonth').val(), $('#cmbOrderStatus').val(), $('#cmbProductionStatus').val());







    $('#cmbYear').on('change', function () {
        var year = $(this).val();
        var month = $('#cmbMonth').val();
        var order_status = $('#cmbOrderStatus').val();
        var production_status = $('#cmbProductionStatus').val();
        getListFromYearMonth(year, month, order_status, production_status);
    });
    $('#cmbMonth').on('change', function () {
        var year = $('#cmbYear').val();
        var month = $(this).val();
        var order_status = $('#cmbOrderStatus').val();
        var production_status = $('#cmbProductionStatus').val();
        getListFromYearMonth(year, month, order_status, production_status);
    });
    $('#cmbOrderStatus').on('change', function () {
        var year = $('#cmbYear').val();
        var month = $('#cmbMonth').val();
        var order_status = $('#cmbOrderStatus').val();
        var production_status = $('#cmbProductionStatus').val();
        getListFromYearMonth(year, month, order_status, production_status);
    });
    $('#cmbProductionStatus').on('change', function () {
        var year = $('#cmbYear').val();
        var month = $('#cmbMonth').val();
        var order_status = $('#cmbOrderStatus').val();
        var production_status = $('#cmbProductionStatus').val();
        getListFromYearMonth(year, month, order_status, production_status);
    });
});


function allCustomerOrder(year, month, order_status, production_status) {
    $.ajax({
        type: "GET",
        url: "/db/CustomerOrderStatusListController/allCustomerOrder/" + year + "/" + month + "/" + order_status + "/" + production_status,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                var data = [];
                var disable = { 0: "", 1: "checked" }
                for (i = 0; i < response.data.result.length; i++) {
                    var id = response.data.result[i]['order_id'];
                    var customer_po_num = response.data.result[i]['purchase_order'];
                    var customer_name = response.data.result[i]['customer_name'];
                    var order_date = response.data.result[i]['date'];
                    var production_status = response.data.result[i]['production_status'];
                    var delivery_date = response.data.result[i]['delivery_date'];
                    var order_status = response.data.result[i]['order_status'];
                    var fund_status = response.data.result[i]['fund_status'];
                    var quantity = parseFloat(response.data.result[i]['quantity']);
                    var daily_quantity = parseFloat(response.data.result[i]['daily_quantity']);
                    var string_id = "'" + id + "'";
                    var edit_button = '<button class="btn btn-primary" onclick="edit(' + string_id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>';
                    var delete_button = '<button class="btn btn-danger" onclick="_delete(' + string_id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>';
                   
                    var order_status_icon = '<span class="badge bg-primary text-primary-bright ">'+ORDER_STATUS[0].name+'</span>';
                    if (order_status == 0) {
                        order_status_icon = '<span class="badge bg-primary text-primary-bright ">'+ORDER_STATUS[0].name+'</span>';
                    } else if (order_status == 1) {
                        order_status_icon = '<span class="badge bg-success text-primary-bright ">'+ORDER_STATUS[1].name+'</span>';
                        edit_button = '<button class="btn btn-primary" onclick="edit(' + string_id + ')" disabled><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>';
                        delete_button = '<button class="btn btn-danger" onclick="_delete(' + string_id + ')" disabled><i class="fa fa-trash" aria-hidden="true"></i></button>';
                    } else if (order_status == 2) {
                        order_status_icon = '<span class="badge bg-warning text-warning-bright ">'+ORDER_STATUS[2].name+'</span>';
                    } else if (order_status == 3) {
                        order_status_icon = '<span class="badge bg-danger text-danger-bright ">'+ORDER_STATUS[3].name+'</span>';
                        edit_button = '<button class="btn btn-primary" onclick="edit(' + string_id + ')" disabled><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>';
                        delete_button = '<button class="btn btn-danger" onclick="_delete(' + string_id + ')" disabled><i class="fa fa-trash" aria-hidden="true"></i></button>';
                    } else if (order_status == 4) {
                        order_status_icon = '<span class="badge bg-info text-info-bright ">'+ORDER_STATUS[4].name+'</span>';
                    } else if (order_status == 5) {
                        order_status_icon = '<span class="badge bg-dark text-dark-bright ">'+ORDER_STATUS[5].name+'</span>';
                    } else if (order_status == 6) {
                        order_status_icon = '<span class="badge bg-danger text-danger-bright ">'+ORDER_STATUS[6].name+'</span>';
                    }


                    var production_status_icon = '<span class="badge bg-primary text-primary-bright ">'+PRODUCTION_STATUS[0].name+'</span>';
                    if (production_status == 0) {
                        production_status_icon = '<span class="badge bg-primary text-primary-bright ">'+PRODUCTION_STATUS[0].name+'</span>';
                    } else if (production_status == 1) {
                        production_status_icon = '<span class="badge bg-success text-success-bright ">'+PRODUCTION_STATUS[1].name+'</span>';
                    } else if (production_status == 2) {
                        production_status_icon = '<span class="badge bg-dark text-dark-bright ">'+PRODUCTION_STATUS[2].name+'</span>';
                    } else if (production_status == 3) {
                        production_status_icon = '<span class="badge bg-warning text-warning-bright ">'+PRODUCTION_STATUS[3].name+'</span>';
                    } else if (production_status == 4) {
                        production_status_icon = '<span class="badge bg-danger text-danger-bright ">'+PRODUCTION_STATUS[4].name+'</span>';
                    } else if (production_status == 5) {
                        production_status_icon = '<span class="badge bg-primary text-primary-bright ">'+PRODUCTION_STATUS[5].name+'</span>';
                    } else if (production_status == 6) {
                        production_status_icon = '<span class="badge bg-success text-success-bright ">'+PRODUCTION_STATUS[6].name+'</span>';
                    }



                    var fund_status_icon = '<span class="badge bg-danger text-danger-bright "><i class="fa fa-times" aria-hidden="true"></i></span>';
                    if (fund_status == 0) {
                        fund_status_icon = '<span class="badge bg-danger text-danger-bright "><i class="fa fa-times" aria-hidden="true"></i></span>';
                    } else if (fund_status == 1) {
                        fund_status_icon = '<span class="badge bg-success text-success-bright "><i class="fa fa-check" aria-hidden="true"></i></span>';
                    }

                    var presentage = parseFloat((daily_quantity / quantity) * 100).toFixed(2);
                    if (isNaN(presentage)) {
                        presentage = 0;
                    }
                    if (presentage > 100) {
                        presentage = 100;
                    }
                    var progress = '<div class="progress" >';
                    progress += '<div class="progress-bar progress-bar-striped progress-bar-animated text-dark" role="progressbar" style="width: ' + presentage + '%;" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">' + presentage + '%</div>';
                    progress += '</div>';

                    data.push({
                        "customer_po_num": customer_po_num,
                        "customer_name": customer_name,
                        "order_date": order_date,
                        "delivery_date": delivery_date,
                        "order_status": order_status_icon,
                        "fund_status": fund_status_icon,
                        "production_status": production_status_icon,
                        "progress": progress,
                    });
                }

                //table
                var table = $('#myTable').DataTable();
                table.clear();
                table.rows.add(data).draw();

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);

        },

    });
}







function getListFromYearMonth(year, month, order_status, production_status) {

    allCustomerOrder(year, month, order_status, production_status);
}


function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}




function shipping_status(id, status) {

    swal({
        title: "Are you sure?",
        //text: "Once deleted, you will not be able to recover this record!",
        icon: "warning",
        buttons: {
            yes: {
                text: "Yes",
                value: true,
                className: 'btn btn-danger',
            },
            no: {
                text: "No",
                value: false,
                className: 'btn btn-primary',
            }
        },

    })
        .then((willDelete) => {
            if (willDelete) {
                do_shipping_status(id, status);
            }
        });
}




function do_shipping_status(id, status) {
    $.ajax({
        type: "POST",
        url: '/db/CustomerOrderStatusListController/shipping_status',
        data: { 'id': id, 'status': status },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {

                showSuccessMessage("Customer Order Shipping Status changed...");
                allCustomerOrder($('#cmbYear').val(), $('#cmbMonth').val(), $('#cmbOrderStatus').val(), $('#cmbProductionStatus').val());

            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {

        }

    });


}



function getProductionStatus() {
    var status = [];
    $.ajax({
        type: "GET",
        url: "/db/CustomerOrderStatusListController/getProductionStatus",
        async: false,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            status = response.data.result;
        },
        error: function (error) {
            console.log(error);

        },

    });
    return status;
}



function getOrderStatus() {
    var status = [];
    $.ajax({
        type: "GET",
        url: "/db/CustomerOrderStatusListController/getOrderStatus",
        async: false,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            status = response.data.result;
        },
        error: function (error) {
            console.log(error);

        },

    });
    return status;
}



/**
* showSuccessMessage
* This function is used to show success message.
* @param message This is the paramter to require message content
*/
function showSuccessMessage(message) {
    toastr.success(message);
}


/**
* showWarningMessage
* This function is used to show warning message.
* @param message This is the paramter to require message content
*/
function showWarningMessage(message) {
    toastr.warning(message);
}



/**
* showErrorMessage
* This function is used to show error message.
* @param message This is the paramter to require message content
*/
function showErrorMessage(msg) {
    toastr.error(msg);
}